GraphicsWindow
Keywords: org.p2c2e.zing.GraphicsWindow class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class GraphicsWindow

    java.lang.Object
      org.p2c2e.zing.Window
          org.p2c2e.zing.GraphicsWindow

All Implemented Interfaces:
  java.lang.Comparable, java.util.EventListener, java.awt.event.MouseListener

public class GraphicsWindow
extends Window

Field Summary

Fields inherited from class org.p2c2e.zing.Window
`ABOVE, BELOW, BLANK, FIXED, GRAPHICS, LEFT, PAIR, PROPORTIONAL, RIGHT, root, TEXT_BUFFER, TEXT_GRID`

Constructor Summary
`GraphicsWindow(java.awt.font.FontRenderContext context)`

Method Summary
`void` | `cancelMouseInput()`
`protected void` | `clear()`
`protected void` | `doLayout()`
`void` | `drawImage(java.awt.Image img, int x, int y)`
`void` | `eraseRect(int left, int top, int width, int height)`
`void` | `fillRect(java.awt.Color c, int left, int top, int width, int height)`
`protected int` | `getSplit(int size, int axis)`
`int` | `getWindowHeight()`
`protected int` | `getWindowType()`
`int` | `getWindowWidth()`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`protected void` | `rearrange(java.awt.Rectangle r)`
`protected boolean` | `requestMouseInput(MouseInputConsumer mic)`
`void` | `setBackgroundColor(java.awt.Color c)`

Methods inherited from class org.p2c2e.zing.Window
`cancelCharacterInput, cancelLineInput, close, closeStream, compareTo, createHintedStyle, createHintedStyles, focusHighlight, getEchoStream, getParent, getSibling, getStream, getStyleMap, handleKey, isFocusStealable, isRequestingKeyboardInput, measureStyle, mouseEntered, mouseExited, mousePressed, mouseReleased, putChar, putString, requestCharacterInput, requestLineInput, restyle, setEchoStream, setStyle, split, unfocusHighlight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicsWindow

    public GraphicsWindow(java.awt.font.FontRenderContext context)

Method Detail

### doLayout

    protected void doLayout()

  Overrides:
    `doLayout` in class `Window`

### getWindowType

    protected int getWindowType()

  Overrides:
    `getWindowType` in class `Window`

### getWindowHeight

    public int getWindowHeight()

  Overrides:
    `getWindowHeight` in class `Window`

### getWindowWidth

    public int getWindowWidth()

  Overrides:
    `getWindowWidth` in class `Window`

### clear

    protected void clear()

  Overrides:
    `clear` in class `Window`

### getSplit

    protected int getSplit(int size,
                           int axis)

  Overrides:
    `getSplit` in class `Window`

### rearrange

    protected void rearrange(java.awt.Rectangle r)

  Specified by:
    `rearrange` in class `Window`

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color c)

### fillRect

    public void fillRect(java.awt.Color c,
                         int left,
                         int top,
                         int width,
                         int height)

### eraseRect

    public void eraseRect(int left,
                          int top,
                          int width,
                          int height)

### drawImage

    public void drawImage(java.awt.Image img,
                          int x,
                          int y)

### requestMouseInput

    protected boolean requestMouseInput(MouseInputConsumer mic)

  Overrides:
    `requestMouseInput` in class `Window`

### cancelMouseInput

    public void cancelMouseInput()

  Overrides:
    `cancelMouseInput` in class `Window`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `Window`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD